Subject: Re: [bug#46231] Add emilua

From: Vinícius dos Santos Oliveira <[email-masked]>
Date: Wed, 24 Feb 2021 10:20:19 -0300

Em qua., 24 de fev. de 2021 às 10:07, Nicolas Goaziou
<[email-masked]> escreveu:
> > You may find the patch with the requested fixes attached to this
> > email. I'll implement the changes to the other package once we have
> > luajit-lua52-openresty in place.
>
> You didn't include "luajit-enable-lua52compat.patch". Could you send it
> too?

Oops, my bad. You may find it attached to this email.

> Also, there is a new release: 2.1-20201229. You may want to send an
> updated version. I can also update it.

I'll let you do the update then.

-- 
Vinícius dos Santos Oliveira
https://vinipsmaker.github.io/
From 8573754371e5c34fe8e2a4e88f33573daedafb83 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Vin=C3=ADcius=20dos=20Santos=20Oliveira?=
 <[email-masked]>
Date: Mon, 1 Feb 2021 00:11:55 -0300
Subject: [PATCH] Enable -DLUAJIT_ENABLE_LUA52COMPAT

---
 src/Makefile | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/Makefile b/src/Makefile
index 3d7d2542..1a3a0324 100644
--- a/src/Makefile
+++ b/src/Makefile
@@ -99,7 +99,7 @@ XCFLAGS=
 # enabled by default. Some other features that *might* break some existing
 # code (e.g. __pairs or os.execute() return values) can be enabled here.
 # Note: this does not provide full compatibility with Lua 5.2 at this time.
-#XCFLAGS+= -DLUAJIT_ENABLE_LUA52COMPAT
+XCFLAGS+= -DLUAJIT_ENABLE_LUA52COMPAT
 #
 # Disable the JIT compiler, i.e. turn LuaJIT into a pure interpreter.
 #XCFLAGS+= -DLUAJIT_DISABLE_JIT
-- 
2.30.0